---
title: list-job-definitions-for-an-invocation-attempt
product: vercel
url: /docs/rest-api/sdk/vercel-ci/list-job-definitions-for-an-invocation-attempt
canonical_url: "https://vercel.com/docs/rest-api/sdk/vercel-ci/list-job-definitions-for-an-invocation-attempt"
last_updated: 2026-09-25
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about list-job-definitions-for-an-invocation-attempt on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# List job definitions for an invocation attempt

```http
GET /v1/vercel-ci/invocations/{invocationId}/attempts/{attempt}/job-definitions
```

List Job Definitions

## Authentication

**bearerToken**: HTTP bearer

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `invocationId` | string | Yes |  |
| `attempt` | string | Yes |  |


## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `teamId` | string | No | The Team identifier to perform the request on behalf of. |
| `slug` | string | No | The Team slug to perform the request on behalf of. |


## Example request

```typescript
import { Vercel } from "@vercel/sdk";

const vercel = new Vercel({
  bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await vercel.vercelCi.listVercelCiJobDefinitions({
    invocationId: "<id>",
    attempt: "<value>",
    teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
    slug: "my-team-url-slug",
  });

  console.log(result);
}

run();
```

## Example response

```json
{
  "jobDefinitions": [
    {
      "invocationId": "example_id",
      "invocationAttempt": "123",
      "jobDefinitionId": "example_id",
      "kind": "string",
      "name": "Example Name",
      "command": "string",
      "createdAt": "123"
    }
  ]
}
```

## Responses

### 200: Successfully listed job definitions.

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "jobDefinitions"
  ],
  "properties": {
    "jobDefinitions": {
      "type": "array",
      "items": {
        "type": "object",
        "required": [
          "invocationId",
          "invocationAttempt",
          "jobDefinitionId",
          "kind",
          "name",
          "command",
          "createdAt"
        ],
        "properties": {
          "invocationId": {
            "type": "string"
          },
          "invocationAttempt": {
            "type": "number"
          },
          "jobDefinitionId": {
            "type": "string"
          },
          "kind": {},
          "name": {
            "type": "string"
          },
          "command": {
            "type": "string"
          },
          "createdAt": {
            "type": "number"
          }
        }
      }
    }
  }
}
```

### 400: One of the provided values in the request query is invalid.

### 401: The request is not authorized.

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "error"
  ],
  "properties": {
    "error": {
      "type": "object",
      "required": [
        "code",
        "message"
      ],
      "properties": {
        "code": {
          "type": "string"
        },
        "message": {
          "type": "string"
        }
      }
    }
  }
}
```

### 403: You do not have permission to access this resource.

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "error"
  ],
  "properties": {
    "error": {
      "type": "object",
      "required": [
        "code",
        "message"
      ],
      "properties": {
        "code": {
          "type": "string"
        },
        "message": {
          "type": "string"
        }
      }
    }
  }
}
```

### 404: No description

### 410: No description

### 429: No description

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "error"
  ],
  "properties": {
    "error": {
      "type": "object",
      "required": [
        "code",
        "name",
        "message",
        "limit"
      ],
      "properties": {
        "code": {
          "type": "string"
        },
        "name": {
          "type": "string"
        },
        "message": {
          "type": "string"
        },
        "limit": {
          "type": "number"
        }
      }
    }
  }
}
```

### 500: No description

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "error"
  ],
  "properties": {
    "error": {
      "type": "object",
      "required": [
        "code",
        "message"
      ],
      "properties": {
        "code": {
          "type": "string"
        },
        "message": {
          "type": "string"
        }
      }
    }
  }
}
```

---

## Related

- [vercel-ci endpoints](/docs/rest-api#vercel-ci)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://vercel.com/openapi.json) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)
